Bug 1507539 (CVE-2017-15951) - CVE-2017-15951 kernel: Race condition in the KEYS subsystem
Summary: CVE-2017-15951 kernel: Race condition in the KEYS subsystem
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-15951
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1514003
Blocks: 1507540
TreeView+ depends on / blocked
 
Reported: 2017-10-30 14:19 UTC by Andrej Nemec
Modified: 2019-09-29 14:24 UTC (History)
48 users (show)

Fixed In Version: kernel 4.13.10
Doc Type: Bug Fix
Doc Text:
The KEYS subsystem in the Linux kernel before 4.13.10 does not correctly synchronize the actions of updating versus finding a key in the "negative" state to avoid a race condition, which allows local users to cause a denial of service or possibly have unspecified other impact via crafted system calls.
Clone Of:
Environment:
Last Closed: 2017-11-16 13:41:44 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-10-30 14:19:33 UTC
The KEYS subsystem in the Linux kernel before 4.13.10 does not correctly synchronize the actions of updating versus finding a key in the "negative" state to avoid a race condition, which allows local users to cause a denial of service or possibly have unspecified other impact via crafted system calls.

References:

https://bugzilla.suse.com/show_bug.cgi?id=1065615

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=363b02dab09b3226f3bd1420dad9c72b79a42a76

Comment 1 Vladis Dronov 2017-11-16 13:19:49 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1514003]

Comment 4 Vladis Dronov 2017-11-16 13:41:44 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG 2 as a code with the flaw is not present in the products listed.

Comment 5 Justin M. Forbes 2018-01-29 16:58:49 UTC
This was fixed for Fedora with the 4.13.10 stable updates.


Note You need to log in before you can comment on or make changes to this bug.